<html lang="en">
<head>
<title>Install - psgml</title>
<meta http-equiv="Content-Type" content="text/html">
<meta name="description" content="psgml">
<meta name="generator" content="makeinfo 4.8">
<link title="Top" rel="start" href="index.html#Top">
<link rel="prev" href="Introduction.html#Introduction" title="Introduction">
<link rel="next" href="Invoke.html#Invoke" title="Invoke">
<link href="http://www.gnu.org/software/texinfo/" rel="generator-home" title="Texinfo Homepage">
<meta http-equiv="Content-Style-Type" content="text/css">
<style type="text/css"><!--
  pre.display { font-family:inherit }
  pre.format  { font-family:inherit }
  pre.smalldisplay { font-family:inherit; font-size:smaller }
  pre.smallformat  { font-family:inherit; font-size:smaller }
  pre.smallexample { font-size:smaller }
  pre.smalllisp    { font-size:smaller }
  span.sc    { font-variant:small-caps }
  span.roman { font-family:serif; font-weight:normal; } 
  span.sansserif { font-family:sans-serif; font-weight:normal; } 
--></style>
</head>
<body>
<div class="node">
<p>
<a name="Install"></a>
Next:&nbsp;<a rel="next" accesskey="n" href="Invoke.html#Invoke">Invoke</a>,
Previous:&nbsp;<a rel="previous" accesskey="p" href="Introduction.html#Introduction">Introduction</a>,
Up:&nbsp;<a rel="up" accesskey="u" href="index.html#Top">Top</a>
<hr>
</div>

<!-- node-name,  next,  previous,  up -->
<h2 class="chapter">2 Installing PSGML</h2>

<p>To install PSGML you first need to uncompress and unpack the source
archive.  This is done with the <code>gunzip</code> and <code>tar</code> commands.

<pre class="example">     gunzip psgml-1.2.0.tar.gz; tar xf psgml-1.2.0.tar
</pre>
   <p>This should create a subdirectory to the current directory with the
source code. This directory contains a <code>configure</code> command (see the
file INSTALL for more information about configure).  You can use the
<code>configure</code> command to configure the package or you can load the
file <samp><span class="file">psgml-maint</span></samp> and execute the <code>psgml-compile-files</code>
command.

   <p>Place the <samp><span class="file">*.el</span></samp> and the <samp><span class="file">*.elc</span></samp> files in a directory where
Emacs can find it (i.e. one of the directories in the <code>load-path</code>
variable, you can add a directory to this variable in your
<samp><span class="file">.emacs</span></samp>.)

   <p>If you use the <code>configure</code> approach, compile psgml with <code>make</code>
and the you can run <code>make install</code> to install it in the system
library <samp><span class="file">site-lisp</span></samp>.  The location of <samp><span class="file">site-lisp</span></samp> is figured
out by <code>configure</code>, but you can change it in the <samp><span class="file">Makefile</span></samp>.

   <p>Put the following line in your .emacs:

<pre class="lisp">     (autoload 'sgml-mode "psgml" "Major mode to edit SGML files." t)
     (autoload 'xml-mode "psgml" "Major mode to edit XML files." t)
</pre>
   <p>You may also want to set up search paths for external entities,
See <a href="Entity-manager.html#Entity-manager">Entity manager</a>.

   <p>The <samp><span class="file">psgml.info</span></samp> is the documentation for PSGML in the info format. 
You can read this with the Emacs command <kbd>C-u C-h i</kbd>.  You can also
install the file in your systems info directory and edit the
<samp><span class="file">dir</span></samp> file to include <samp><span class="file">psgml.info</span></samp> in the menu.

   <p>The info file <samp><span class="file">psgml.info</span></samp> is created from the texinfo file
<samp><span class="file">psgml.texi</span></samp>.  The texinfo file can also be used to create a hard
copy of the documentation.  To do this you need the TeX program and a
copy of <samp><span class="file">texinfo.tex</span></samp>.

<!--  -->
</body></html>

